<?php
/**
 * SilverMountain Dynamic Styles
 *
 * @package SilverMountain
 */

function silvermountain_dynamic_css()
{

    $silvermountain_default = silvermountain_get_default_theme_options();
    $logo_width_range = get_theme_mod('logo_width_range', $silvermountain_default['logo_width_range']);
    
    $silvermountain_general_color = get_theme_mod('silvermountain_general_color', $silvermountain_default['silvermountain_general_color']);
    $silvermountain_link_color = get_theme_mod('silvermountain_link_color', $silvermountain_default['silvermountain_link_color']);
    
    $site_title_font_size = get_theme_mod('site_title_font_size', $silvermountain_default['site_title_font_size']);


    echo "<style type='text/css' media='all'>"; ?>

    .site-logo .custom-logo-link{
        max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }

    @media (min-width: 1200px) {
    .header-titles .site-title,
    .header-titles .custom-logo-name{
    font-size: <?php echo esc_attr($site_title_font_size); ?>px;
    }
    }

    body, input, select, optgroup, textarea{
    color: <?php echo esc_attr($silvermountain_general_color); ?>;
    }

    a,
    .widget-title,
    .block-title-wrapper .block-title{
    color: <?php echo esc_attr($silvermountain_link_color); ?>;
    }

    .theme-block,
    .theme-aside-panel,
    #theme-banner-navs,
    .header-navbar,
    .megamenu-recent-article,
    .posts-navigation,
    .post-navigation{
    border-color: <?php echo silvermountain_hex_2_rgba($silvermountain_link_color,0.1); ?>;
    }

    #theme-banner-navs:before,
    #theme-banner-navs:after{
    border-color: <?php echo silvermountain_hex_2_rgba($silvermountain_link_color,0.2); ?>;
    }

    .megamenu-recent-article,
    .widget_recent_entries ul li,
    .widget_categories ul li,
    .widget_pages ul li,
    .widget_archive ul li,
    .widget_meta ul li,
    .widget_recent_comments ul li,
    .widget_block .wp-block-latest-posts li,
    .widget_block .wp-block-categories li,
    .widget_block .wp-block-archives li,
    .widget_block .wp-block-latest-comments li{
    border-bottom-color: <?php echo silvermountain_hex_2_rgba($silvermountain_link_color,0.1); ?>;
    }
    .theme-svg-seperator{
    color: <?php echo silvermountain_hex_2_rgba($silvermountain_link_color,0.2); ?>;
    }
    <?php echo "</style>";
}

add_action('wp_head', 'silvermountain_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function silvermountain_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}