<?php
if ( !class_exists('SilverMountain_Dashboard_Notice') ):

    class SilverMountain_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->silvermountain_show_hide_notice() ){

	            add_action( 'admin_notices',array( $this,'silvermountain_admin_notice' ) );
                
	        }
	        add_action( 'wp_ajax_silvermountain_notice_dismiss', array( $this, 'silvermountain_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'silvermountain_notice_clear_cache' ) );
        
            if( isset( $_GET['page'] ) && $_GET['page'] == 'silvermountain-about' ){

                add_action('in_admin_header', array( $this,'silvermountain_hide_all_admin_notice' ),1000 );

            }
        }

        public function silvermountain_hide_all_admin_notice(){

            remove_all_actions('admin_notices');
            remove_all_actions('all_admin_notices');

        }
        
        public static function silvermountain_show_hide_notice(){

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'silvermountain-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('silvermountain_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' ) && class_exists( 'Demo_Import_Kit_Class' ) && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function silvermountain_admin_notice(){

            $theme_info      = wp_get_theme();
            $theme_name            = $theme_info->__get( 'Name' );
            ?>
           <div class="updated notice is-dismissible twp-silvermountain-notice">
               <p class="notice-text">
                   <?php
                   $current_user = wp_get_current_user();

                   printf(
                   /* Translators: %1$s current user display name., %2$s this theme name., %3$s discount coupon code., %4$s discount percentage. */
                       esc_html__(
                           'Howdy, %1$s! You\'ve been using %2$s theme for a while now, and we hope you\'re happy with it. To access more premium features you can always upgrade to pro. All contents and settings will remain as it is after upgrading to pro, you basically start from where you left. Enjoy! ',
                           'silvermountain'
                       ),
                       '<strong>' . esc_html( $current_user->display_name ) . '</strong>',
                       $theme_name
                   );

                   ?>
               </p>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/silvermountain-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','silvermountain'); ?></span>
                    </a>

                    <a class="button button-secondary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and enable the recommended plugins','silvermountain'); ?></span>
                    </a>
                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-secondary" href="<?php echo esc_url( 'https://live-preview.themeinwp.com/silvermountain/' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('Preview the demo','silvermountain'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url('https://wordpress.org/support/theme/silvermountain/reviews/?filter=5'); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review', 'silvermountain'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','silvermountain'); ?></a>

                </p>

            </div>

        <?php
        }

        public function silvermountain_notice_dismiss(){

            check_ajax_referer( 'silvermountain_ajax_nonce', 'security' );
            update_option('silvermountain_admin_notice','hide');

            die();

        }

        public function silvermountain_notice_clear_cache(){

        	update_option('silvermountain_admin_notice','');

        }

    }
    new SilverMountain_Dashboard_Notice();
endif;