<?php
/**
 * Header file for the SilverMountain WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package SilverMountain
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if (function_exists('wp_body_open')) {
    wp_body_open();
} ?>

<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'silvermountain'); ?></a>
    <?php silvermountain_header_ad(); ?>

    <?php
    get_template_part('template-parts/header/header', 'content'); ?>

    <?php silvermountain_header_banner(); ?>

    <div id="content" class="site-content">

    <div class="theme-aside-panel">
        <div class="aside-panel-content">
            <?php silvermountain_asidebar_section(); ?>
        </div>
    </div>

     <div class="theme-main-panel">

    <?php if ( is_front_page() || is_home() ) { ?>
        <div class="theme-block theme-news-ticker hidden-sm-element">
            <div class="wrapper">
                <div class="ticker-item-panel">
                    <div class="ticker-item ticker-item-left">
                        <?php silvermountain_header_ticker_posts(); ?>
                    </div>
                    <div class="ticker-item ticker-item-right">
                        <div class="ticker-controls">
                            <button type="button" class="slide-btn theme-aria-button slide-prev-ticker">
                                <span class="btn__content" tabindex="-1">
                                    <?php silvermountain_theme_svg('chevron-left'); ?>
                                </span>
                            </button>

                            <button type="button" class="slide-btn theme-aria-button ticker-control ticker-control-play">
                                <span class="btn__content" tabindex="-1">
                                    <?php silvermountain_theme_svg('play'); ?>
                                </span>
                            </button>

                            <button type="button" class="slide-btn theme-aria-button ticker-control ticker-control-pause pp-button-active">
                                <span class="btn__content" tabindex="-1">
                                    <?php silvermountain_theme_svg('pause'); ?>
                                </span>
                            </button>

                            <button type="button" class="slide-btn theme-aria-button slide-next-ticker">
                                <span class="btn__content" tabindex="-1">
                                    <?php silvermountain_theme_svg('chevron-right'); ?>
                                </span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
