<?php
/**
 * Default Values.
 *
 * @package SilverMountain
 */

if (!function_exists('silvermountain_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function silvermountain_get_default_theme_options(){

        $silvermountain_defaults = array();

        $silvermountain_defaults['twp_silvermountain_home_sections_4'] = array(

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'home_section_title_4' => esc_html__('Column Title One','silvermountain'),
                'home_section_title_3' => esc_html__('Column Title Two','silvermountain'),
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'section_category_3' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'yes',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','silvermountain'),
                'home_section_title_2' => esc_html__('Block Title Tab','silvermountain'),
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'home_section_title' => esc_html__('You May Like','silvermountain'),
                'section_ed' => 'yes',
                'home_section_title' => '',
                'section_category' => '',
            ),
        );

        // header section
        $silvermountain_defaults['logo_width_range']      = 300;
        $silvermountain_defaults['site_title_font_size']  = 100;

        $silvermountain_defaults['asidebar_section_tab_title_1'] = esc_html__('Popular News', 'silvermountain');
        $silvermountain_defaults['asidebar_section_tab_title_2'] = esc_html__('Popular News', 'silvermountain');
        $silvermountain_defaults['hide_asidebar_on_mobile'] = '';

        // Options.
        $silvermountain_defaults['global_sidebar_layout'] = 'left-sidebar';
        $silvermountain_defaults['silvermountain_archive_layout'] = 'grid';
        $silvermountain_defaults['silvermountain_pagination_layout'] = 'numeric';
        $silvermountain_defaults['footer_column_layout'] = 3;
        $silvermountain_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'silvermountain');
        $silvermountain_defaults['ed_ticker_slider_autoplay'] = 1;
        $silvermountain_defaults['ed_header_trending_news'] = 1;
        $silvermountain_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'silvermountain');
        $silvermountain_defaults['ed_header_ad'] = 0;
        $silvermountain_defaults['ed_header_ticker_posts'] = 1;
        $silvermountain_defaults['ticker_date_format'] = 'l, F jS, Y';
        $silvermountain_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'silvermountain');
        $silvermountain_defaults['ed_image_content_inverse'] = 0;
        $silvermountain_defaults['ed_related_post'] = 1;
        $silvermountain_defaults['related_post_title'] = esc_html__('More Stories', 'silvermountain');
        $silvermountain_defaults['twp_navigation_type'] = 'norma-navigation';
        $silvermountain_defaults['silvermountain_single_post_layout'] = 'layout-1';
        $silvermountain_defaults['ed_post_thumbnail'] = 0;
        $silvermountain_defaults['ed_post_date'] = 1;
        $silvermountain_defaults['ed_post_category'] = 1;
        $silvermountain_defaults['ed_header_overlay'] = 0;
        $silvermountain_defaults['ed_floating_next_previous_nav'] = 1;
        $silvermountain_defaults['silvermountain_header_bg_size'] = 1;
        $silvermountain_defaults['ed_header_bg_fixed'] = 0;
        $silvermountain_defaults['ed_header_bg_overlay'] = 0;
        $silvermountain_defaults['post_date_format'] = 'default';
        $silvermountain_defaults['ed_fullwidth_layout'] = 'default';
        $silvermountain_defaults['ed_post_views'] = 0;
        $silvermountain_defaults['ed_scroll_top_button'] = 1;

        $silvermountain_defaults['ed_ticker_bar']                  = 1;
        $silvermountain_defaults['ed_ticker_bar_date']             = 1;
        $silvermountain_defaults['ed_tags_wide_layout']            = 1;
        $silvermountain_defaults['ed_post_tags']                   = 1;
        $silvermountain_defaults['ed_post_read_later']             = 1;
        $silvermountain_defaults['ed_ticker_bar_social_nav']       = 1;

        $silvermountain_defaults['silvermountain_general_color']            = '#404040';
        $silvermountain_defaults['silvermountain_link_color']            = '#000000';

        // Pass through filter.
        $silvermountain_defaults = apply_filters('silvermountain_filter_default_theme_options', $silvermountain_defaults);

        return $silvermountain_defaults;

    }

endif;
