<?php
/**
 * Pagination Settings
 *
 * @package SilverMountain
 */

$silvermountain_default = silvermountain_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'silvermountain_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'silvermountain' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'silvermountain_pagination_layout',
	array(
	'default'           => $silvermountain_default['silvermountain_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'silvermountain_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'silvermountain' ),
	'section'     => 'silvermountain_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','silvermountain'),
		'numeric' => esc_html__('Numeric Method','silvermountain'),
		'load-more' => esc_html__('Ajax Load More Button','silvermountain'),
		'auto-load' => esc_html__('Ajax Auto Load','silvermountain'),
	),
	)
);