<?php
/**
* Sections Repeater Options.
*
* @package SilverMountain
*/

$silvermountain_post_category_list = silvermountain_post_category_list();
$silvermountain_defaults = silvermountain_get_default_theme_options();
$home_sections = array(
        
        'tiles-blocks' => esc_html__('Tiles Block','silvermountain'),
        'main-banner' => esc_html__('Main Banner Slider','silvermountain'),
        'banner-blocks-1' => esc_html__('Slider & Tab Block','silvermountain'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','silvermountain'),
        'advertise-blocks' => esc_html__('Advertise Block','silvermountain'),
        'home-widget-area' => esc_html__('Widgets Area Block','silvermountain'),
        'you-may-like-blocks' => esc_html__('You May Like Block','silvermountain'),

    );

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'silvermountain' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_silvermountain_home_sections_4', array(
    'sanitize_callback' => 'silvermountain_sanitize_repeater',
    'default' => json_encode( $silvermountain_defaults['twp_silvermountain_home_sections_4'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new SilverMountain_Repeater_Controler( $wp_customize, 'twp_silvermountain_home_sections_4',
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_silvermountain_home_sections_4',
        'silvermountain_box_label' => esc_html__('New Section','silvermountain'),
        'silvermountain_box_add_control' => esc_html__('Add New Section','silvermountain'),
        'silvermountain_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'silvermountain' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'silvermountain' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'silvermountain' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'home_section_column_1' => array(
                  'type'        => 'seperator',
                  'seperator_text'       => esc_html__( 'Column 1', 'silvermountain' ),
                  'class'       => 'home-repeater-fields-hs main-banner-fields'
              ),
              'home_section_title_4' => array(
                 'type'        => 'text',
                 'label'       => esc_html__( 'Block Title', 'silvermountain' ),
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),

              'section_post_cat_1' => array(
                  'type'        => 'select',
                  'label'       => esc_html__( 'Select Category', 'silvermountain' ),
                  'options'     => $silvermountain_post_category_list,
                  'class'       => 'home-repeater-fields-hs main-banner-fields'
              ),
              'home_section_column_2' => array(
                   'type'        => 'seperator',
                   'seperator_text'       => esc_html__( 'Column 2', 'silvermountain' ),
                   'class'       => 'home-repeater-fields-hs main-banner-fields'
               ),
            
            'home_section_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Block Title', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),


            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'silvermountain' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),            
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'silvermountain' ),
                'options'     => $silvermountain_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'silvermountain' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'silvermountain_notice_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new SilverMountain_Info_Notice_Control( 
        $wp_customize,
        'silvermountain_notice_info',
        array(
            'settings' => 'silvermountain_notice_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'silvermountain' ),
        )
    )
);

$wp_customize->add_setting(
    'silvermountain_premium_notice',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new SilverMountain_Premium_Notice_Control( 
        $wp_customize,
        'silvermountain_premium_notice',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'silvermountain' ),
            'settings' => 'silvermountain_premium_notice',
            'section'       => 'home_sections_repeater',
        )
    )
);