<?php
/**
 * Widget FUnctions.
 *
 * @package SilverMountain
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function silvermountain_widgets_init(){

    $silvermountain_default = silvermountain_get_default_theme_options();

    register_sidebar(array(
        'name' => esc_html__('Sidebar', 'silvermountain'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'silvermountain'),
        'before_widget' => '<div id="%1$s" class="widget theme-widget-bg %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    register_sidebar( array(
        'name' => esc_html__('Offcanvas Widget', 'silvermountain'),
        'id' => 'silvermountain-offcanvas-widget',
        'description' => esc_html__('Add widgets here.', 'silvermountain'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    $twp_silvermountain_home_sections_4 = get_theme_mod('twp_silvermountain_home_sections_4', json_encode($silvermountain_default['twp_silvermountain_home_sections_4']));
    $twp_silvermountain_home_sections_4 = json_decode($twp_silvermountain_home_sections_4);

    foreach( $twp_silvermountain_home_sections_4 as $silvermountain_home_section ){

        $home_section_type = isset( $silvermountain_home_section->home_section_type ) ? $silvermountain_home_section->home_section_type : '';

        switch( $home_section_type ){

            case 'home-widget-area':

                $ed_home_widget_area = isset( $silvermountain_home_section->section_ed ) ? $silvermountain_home_section->section_ed : '';

                if( $ed_home_widget_area == 'yes' ){

                    register_sidebar(array(
                        'name' => esc_html__('Front Page Widget Area', 'silvermountain'),
                        'id' => 'front-page-widget-area-1',
                        'description' => esc_html__('Add widgets here.', 'silvermountain'),
                        'before_widget' => '<div id="%1$s" class="widget %2$s">',
                        'after_widget' => '</div>',
                        'before_title' => '<h2 class="widget-title"><span>',
                        'after_title' => '</span></h2>',
                    ));

                }

                break;

            default:

                break;

        }

    }

    $silvermountain_default = silvermountain_get_default_theme_options();
    $footer_column_layout = absint(get_theme_mod('footer_column_layout', $silvermountain_default['footer_column_layout']));

    for( $i = 0; $i < $footer_column_layout; $i++ ){

        if ($i == 0) {
            $count = esc_html__('One', 'silvermountain');
        }
        if ($i == 1) {
            $count = esc_html__('Two', 'silvermountain');
        }
        if ($i == 2) {
            $count = esc_html__('Three', 'silvermountain');
        }
        if ($i == 3) {
            $count = esc_html__('Four', 'silvermountain');
        }

        register_sidebar(array(
            'name' => esc_html__('Footer Widget ', 'silvermountain') . $count,
            'id' => 'silvermountain-footer-widget-' . $i,
            'description' => esc_html__('Add widgets here.', 'silvermountain'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title"><span>',
            'after_title' => '</span></h3>',
        ));

    }

}

add_action('widgets_init', 'silvermountain_widgets_init');
require get_template_directory() . '/inc/widgets/widget-base.php';
require get_template_directory() . '/inc/widgets/author.php';
require get_template_directory() . '/inc/widgets/home-page-widget.php';
require get_template_directory() . '/inc/widgets/home-page-carousel-widget.php';
require get_template_directory() . '/inc/widgets/home-page-banner-slider-widget.php';
require get_template_directory() . '/inc/widgets/social-link.php';
require get_template_directory() . '/inc/widgets/featured-category-widget.php';