<?php
/**
 * Header Layout 2
 *
 * @package SilverMountain
 */

use silvermountain\SilverMountain_Walkernav;

$silvermountain_default = silvermountain_get_default_theme_options();
$silvermountain_header_bg_size = get_theme_mod( 'silvermountain_header_bg_size', $silvermountain_default['silvermountain_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $silvermountain_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $silvermountain_default['ed_header_bg_overlay'] ); ?>

<header id="site-header" class="theme-header <?php if( $ed_header_bg_overlay ){ echo 'header-overlay-enabled'; } ?>" role="banner">

    <div class="header-mainbar <?php if( get_header_image() ){ if( $ed_header_bg_fixed ){ echo 'data-bg-fixed'; } ?> data-bg header-bg-<?php echo esc_attr( $silvermountain_header_bg_size ); ?> <?php } ?> "  <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper-fluid header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-titles">
                    <?php
                    silvermountain_site_description();
                    silvermountain_site_logo();
                    ?>
                </div>
            </div>

            <div class="header-item header-item-right">
                
                <?php silvermountain_category_pin_posts_link(); ?>

                <!-- date/time -->
                <?php silvermountain_theme_date_time(); ?>
            </div>
        </div>
    </div>

    <div class="header-navbar">
        <div class="wrapper-fluid header-wrapper">


                <div class="header-item header-item-left">
                    <?php if (is_active_sidebar('silvermountain-offcanvas-widget')): ?>
                        <div id="widgets-nav" class="icon-sidr">
                            <button id="hamburger-one" class="navbar-control"  aria-label="<?php esc_attr_e('Offcanvas Widgets', 'silvermountain'); ?>">
                                <span class="navbar-control-trigger" tabindex="-1">
                                    <span class="hamburger-wrapper">
                                        <span class="hamburger-inner"></span>
                                    </span>
                                </span>
                            </button>
                        </div>
                    <?php endif; ?>

                     <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'silvermountain'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if( has_nav_menu('silvermountain-primary-menu') ){

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'silvermountain-primary-menu',
                                            'walker' => new silvermountain\SilverMountain_Walkernav(),
                                        )
                                    );

                                }else{

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new SilverMountain_Walker_Page(),
                                        )
                                    );

                                } ?>
                            </ul>
                        </nav>
                    </div>

                </div>


        
            <div class="header-item header-item-right">
                    <?php
                    $ed_ticker_bar_social_nav = get_theme_mod( 'ed_ticker_bar_social_nav', $silvermountain_default['ed_ticker_bar_social_nav'] );

                    if (has_nav_menu('silvermountain-social-menu') && $ed_ticker_bar_social_nav) { ?>
                        <div class="navbar-social-navigation">
                            <?php
                            wp_nav_menu(

                                array(
                                    'theme_location' => 'silvermountain-social-menu',
                                    'link_before' => '<span class="screen-reader-text">',
                                    'link_after' => '</span>',
                                    'container' => 'div',
                                    'container_class' => 'silvermountain-social-menu',
                                    'depth' => 1,
                                )

                            ); ?>
                        </div>
                    <?php } ?>



                    <?php main_navigation_extras(); ?>
                </div>


        </div>
        <?php silvermountain_content_trending_news_render(); ?>
    </div>

</header>

 